#include <EEPROM.h>
#include "keyset.h"
#include "eepromrw.h"


void setup() {
  int i;
  const baset        *pee = 0;              // pointer to eeprom structure
  
  delay(5000);
  Serial.begin(9600);
  eepromw((uint32_t)(&(pee->key[0])), base.key[0], sizeof(base));    
    
  for (uint8_t i=0; i<sizeof(base); i++) {
    Serial.print("address = ");
    Serial.print(i);
    Serial.print("    data = ");
    Serial.println(EEPROM.read(i),HEX);
  }   
}


void loop() {
  // put your main code here, to run repeatedly:

}
